Subject: Re: linuxppc-embedded: /bin/sh wont run from nfsroot.

From: Dan Malek <[email-masked]>
Date: Wed, 15 Dec 1999 14:11:51 -0500

Brendan Simon wrote:

> .......  What is the
> purpose of SASH and the implication of undefining it ?

The kernel handling of the "init" process slot is special.  If
you want to use just a simple shell for interactive development,
it is cumbersome because you can't get the tty signals delivered
to the process.  Two ways around this.  Start up inetd and other
network daemons and remote log in.  The second is to include the
"SASH" code I added.  This creates a shell that doesn't run in
the "init" process slot.  Things like ctl-C will then work to
kill a child process.  There are lots of other hacks around
here you can perform to customize a lightweight embedded working
environment.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/